<section id="content">
    <div class="container">
        <!-- //////////////////////START-AREA-TRABAJO////////////////////////////// -->


        <div class="card">
            <div class="card-header">
                <h2>Generar Renovación</h2>						
            </div>

            <div class="row p-15">

                <div class="col-lg-9 col-md-9 col-sm-12 col-sx-12">
                    <span class="c-blue m-t-15 m-l-10">Información del cliente</span>

                    <div class="row">
                        <div class="col-lg-12 col-md-12 col-sm-12 col-sx-12 m-t-15">
                            <div class="input-group">
                                <span class="input-group-addon"><i class="zmdi zmdi-account-box"></i></span>
                                <div class="fg-line">						
                                    <input type="text" class="form-control" id="client_id" name="client_id" readonly="" placeholder="Cliente" value="{{client.client_businessname}}">
                                </div>
                            </div>
                        </div>

                        <div class="col-lg-12 col-md-12 col-sm-12 col-sx-12 m-t-15">
                            <div class="input-group">
                                <span class="input-group-addon"><i class="zmdi zmdi-account-box"></i></span>
                                <div class="fg-line">										
                                    <input type="text" class="form-control" id="client_agent" name="client_agent" readonly="" placeholder="Agente" value="{{client.client_agent}}">
                                </div>
                            </div>
                        </div>

                        <div class="col-lg-6 col-md-6 col-sm-12 col-sx-12 m-t-15">
                            <div class="input-group">
                                <span class="input-group-addon"><i class="zmdi zmdi-money-box"></i></span>
                                <div class="fg-line">										
                                    <input type="text" class="form-control" id="opportunity_total" name="opportunity_total" readonly="" placeholder="Total ventas al cliente" value="{{client.total_sail}}">
                                </div>
                            </div>
                        </div>								
                    </div>	
                    {% set namePrev = '' %}
                    {% set nameNext = '' %}

                    {% for key, opportunity in opportunities %}
                        {% set nameNext = attribute(opportunities, key).brand_name %}
                        {% if namePrev != opportunity.brand_name %}
                            <br>
                            <h2 class="f-18 m-l-15 c-orange">{{opportunity.brand_name}}</h2>
                        {% endif %}
                        <div class="m-15 p-15" style="border:1px solid #ccc;">
                            <div class="row">
                                <div class="col-lg-3 col-md-3 col-sm-3 col-sx-12">
                                    <span class="c-blue"><strong>#Venta</strong></span>
                                </div>
                                <div class="col-lg-3 col-md-3 col-sm-3 col-sx-12">
                                </div>
                                <div class="col-lg-3 col-md-3 col-sm-3 col-sx-12">
                                    <span class="c-blue"><strong>#Oportunidad</strong></span>
                                </div>
                                <div class="col-lg-3 col-md-3 col-sm-3 col-sx-12">
                                    {% if opportunity.serials_contract_status == 0 %}
                                    <label class="checkbox checkbox-inline m-r-20">
                                        <input type="checkbox" value="option2">
                                        <i class="input-helper"></i> Renovar
                                    </label>
                                    {% else %}
                                       <span class="c-green"><strong>En renovación</strong></span> 
                                    {% endif %}
                                </div>

                                <div class="col-lg-3 col-md-3 col-sm-3 col-sx-12 m-t-15">
                                    Descripcion producto<br><br>
                                    {{opportunity.opportunity_detail_description}}
                                </div>
                                <div class="col-lg-3 col-md-3 col-sm-3 col-sx-12 m-t-15">
                                    ID producto - #serial<br><br>
                                    <b>#{{opportunity.opportunity_detail_productid}}</b> {{opportunity.serials_contract_number}}
                                </div>
                                <div class="col-lg-3 col-md-3 col-sm-3 col-sx-12 m-t-15">
                                    <span>Fecha vencimiento</span><br><br>
                                    {% if opportunity.serials_contract_enddate < date() %}
                                        <b style='color:#ff0000;'>{{opportunity.serials_contract_enddate|date('d-m-Y')}}</b>
                                    {% else %}
                                        <b style='color:#4AAE52;'>{{opportunity.serials_contract_enddate|date('d-m-Y')}}</b>
                                    {% endif %}
                                </div>
                                <div class="col-lg-3 col-md-3 col-sm-3 col-sx-12 m-t-15">
                                    {% if opportunity.serials_contract_status == 0 %}
                                        <input type="text" class="form-control" id="nro_oportunidad" name="nro_oportunidad" placeholder="# oportunidad existente">
                                    {% else %}
                                        <span class="c-blue"><strong>Oportunidad <a href="nueva-oportunidad.html"># {{opportunity.opportunity_id}}</a></strong></span>
                                    {% endif %}
                                </div>
                            </div>
                        </div>
                        {% if (nameNext != opportunity.brand_name or loop.last) %}
                            <div class="m-t-25 m-r-15 text-right">
                                <button type="submit" class="btn btn-primary sa-guardar waves-effect">
                                    <i class="zmdi zmdi-refresh-alt"></i> Crear renovación
                                </button>
                            </div>
                        {% endif %}
                        {% set namePrev = opportunity.brand_name %}
                    {% endfor %}
                </div>

                <div class="col-lg-3 col-md-3 col-sm-12 col-sx-12">
                    <div class="m-15 text-right" style="vertical-align:top; font-size:25px;">
                        Oportunidad #{{opportunity.opportunity_id}}
                    </div>

                    <div class="m-15 p-15" style="border:1px solid #ccc; vertical-align:top;">
                        <p class="c-lime text-right">
                            Fecha registro {{opportunity.opportunity_createdate}}<br><strong>{{opportunity.user_namefull}}</strong><br />
                            <a href="#" class="c-blue m-t-10 userOwner">[Editar]</a>
                        </p>

                        <div style="margin:20px 0; border-top:1px solid #ccc;"></div>

                        <p class="c-blue">Contactos Empresa-Oportunidad</p>

                        <div id="contact-list">
                            {% set var1=0 %}

                            {% for odcc in contacts %}
                                <p id="ocid-{{odcc.opportunity_contact_id}}">                            
                                    {{odcc.contact_name|convert_encoding('UTF-8', 'ISO-8859-1')}} {{odcc.contact_lastname|convert_encoding('UTF-8', 'ISO-8859-1')}}<br>
                                    {%if odcc.contact_type%} {{odcc.contact_type}} {%endif%}<br>
                                    {%if odcc.contact_phone%} {{odcc.contact_phone}} {%endif%}<br>
                                    {%if odcc.contact_celphone%} {{odcc.contact_celphone}} {%endif%}<br>
                                    {%if odcc.contact_email%} {{odcc.contact_email}} {%endif%}<br>
                                    <a href="#" class="c-red m-t-10 contactDelete" data-value="{{odcc.opportunity_contact_id}}"><i class="zmdi zmdi-delete"></i> Eliminar</a>
                                </p>

                                {% set var1=var1+1 %}
                            {% endfor %}

                            <input type="hidden" value="{{var1}}" name="total_contacts" id="total_contacts" />
                        </div>

                        <p class="text-right">
                            <a data-toggle="modal" data-value="{{opportunity.opportunity_id}}" href="#modalContact">[ Agregar nuevo contacto ]</a>
                        </p>
                    </div>
                </div>
            </div>
        </div>

        <!-- //////////////////////END-AREA-TRABAJO////////////////////////////// -->
    </div>
</section>